part of 'training_log_bloc.dart';

abstract class TrainingLogEvent extends Equatable {
  const TrainingLogEvent();

  @override
  List<Object> get props => [];
}

class TrainingLogLoad extends TrainingLogEvent {
  const TrainingLogLoad();
}

class TrainingLogDelete extends TrainingLogEvent {
  final Exercise exercise;
  const TrainingLogDelete({required this.exercise});

  @override
  List<Object> get props => [exercise];
}

class TrainingResultEvent extends TrainingLogEvent {
  final Exercise exercise;
  const TrainingResultEvent({required this.exercise});

  @override
  List<Object> get props => [exercise];
}

class TrainingLogSearch extends TrainingLogEvent {
  final int exerciseTypeId;
  const TrainingLogSearch({required this.exerciseTypeId});

  @override
  List<Object> get props => [exerciseTypeId];
}

class TrainingLogChange extends TrainingLogEvent {
  const TrainingLogChange();
}
